Neuro Changelog

****************************
Version 3.4 (11-23-18)
- Added gutenberg compatibility
- Added testimonial and contact us elements

Version 3.3 (07-26-17)
- Added visible edit links in the customizer preview

Version 3.2 (04-19-17)
- Fixed issue with PHP version 7.1
- Fixed issue with loading google fonts (used protocol relative link)

Version 3.1 (10-03-16)
- Reintroduced Theme Options.

Version 3.0.64 (16-09-16)
- Fixed issue with searchbar display in sidebar.

Version 3.0.63 (5-08-16)
- Updated as per latest Theme Check guidelines

Version 3.0.62 (16-07-15)
- Change in theme customizer as per wordpress.org guidelines

Version 3.0.61 (1-23-15)
- Fixed conflict between slider free and pro plugin.
- Added new plugin suggestion.

Version 3.0.60 (11-25-14)
- Removed theme activation notice.
- Changed default links for slider.

Version 3.0.59 (11-16-14)
- Removed cyberchimps_mlu_init() as it has register_post_type() which is plugin-territory functionality.
- Added sanitization to customizer options.
- Removed deprecated screen_icon().

Version 3.0.58 (9-24-14)
- Placeholder fix for IE8/9.

Version 3.0.57 (9-08-14)
- Added iFeature slider to plugin suggestion list.

Version 3.0.56 (8-22-14)
- Updated Translations.

Version 3.0.55 (8-08-14)
- Fixed conflict of footer widgets with other widgets.
- Responsive fix for uploaded video.

Version 3.0.54 (7-25-14)
- Layout fixed for multiple rows of footer widget.

Version 3.0.53 (7-18-14)
- Fixed broken link to CyberChimps logo.

Version 3.0.52 (7-11-14)
- Replaced logo with text in footer credit link.

Version 3.0.51 (7-04-14)
- Added option for Instagram Icon.

Version 3.0.50 (6-27-14)
- Core Translation Updated.

Version 3.0.49 (6-20-14)
- Code reformatting: Changed spaces to tabs.

Version 3.0.48 (6-13-14)
- Code reformatted: Changed spaces to tabs.

Version 3.0.47 (6-06-14)
- Uploading due to technical problem.

Version 3.0.46 (6-06-14)
- Code reformatting: Changed spaces to tabs.

Version 3.0.45 (5-30-14)
- Fixed casing of CyberChimpsParallax class.

Version 3.0.44 (5-23-14)
- Updated ugrade text.
- Removed left sidebar from widget section.
- Removed "Custom Callout" from sub settings.

Version 3.0.43 (5-16-14)
- Correct spelling of CyberChimps/CSS.
- Change text for Google font field.
- Added cyberchimps_ prefix to couple of functions.
- Changed CyberChimps logo on theme options page.
- Changed "alt" text of logo to the site name instead of "logo".
- Regenerated ".mo" files as they were 0KB each before, hence breaking the translation.

Version 3.0.42 (5-9-14)
- Fixed W3C validator error issue with IE compatibility meta tags.
- Fixed missing image error: removed unused function.
- Added FooBox as recommended plugin.

Version 3.0.41 (5-2-14)
- Uploading again due to technical problem.

Version 3.0.40 (5-2-14)
- Fixed byline toggle issue.
- Update French translation.

Version 3.0.39 (4-24-14)
- Uploading again due to technical problem.

Version 3.0.38 (4-24-14)
- Added recommendation for clef plugin.
- Updated translations.
- Youtube video fixed.
- Removed space between code and px.

Version 3.0.37 (4-16-14)
- Changed social font icons to font awesome.
- Removed unwanted function_exists() conditional wrapper.

Version 3.0.36 (4-9-14)
-Added upgrade button to the free theme customizer.
-Fixed Vimeo video responsiveness.

Version 3.0.35 (4-3-14)
- Added new background option.
- Removed wp_register_style(or script) for local css/js files.

Version 3.0.34 (3-27-14)
- Updated Elements Translation.

Version 3.0.33 (3-21-14)
- Updated support forum URL.
- Fixed IE8 compatibility issue.

Version 3.0.32 (3-12-14)
- Fixed duplicate plugin install notification in option page.
- Modified "More Themes" page to show up all CyberChimps free theme with option to install/activate right there.

Version 3.0.31 (3-5-14)
- Fixed conflict between blog post excerpt option and bbpress user profile page.
- Set up element options defaults for better wp.org preview.
- Added filter for background default args.
- HTML Error fix: Added space before menu>li>attribute.

Version 3.0.30 (2-27-14)
- Slider fix to start on page load.
- Updated elements images along with boxes images.
- Fixed Read more text option.
- Responsive toggle fix: tweaked full-width-container width.
- Background option fix.
- Removed post format icon from page.
- Updated screenshot.

Version 3.0.29 (2-18-14)
- Slider is made to be start sliding on page load.

Version 3.0.28 (2-11-14)
- Updated Translation.

Version 3.0.27 (2-5-14)
- Fixed multiple thumbnails issue on image attachment page.
- Fixed image load issue for boxes element.
- Upsell page tweaked(Font & Text).

Version 3.0.26 (1-27-14)
- Boxes: Added latest default images and retina versions.
- Added Danish translation to core.
- Added hook to set blog layout option default.

Version 3.0.25 (1-21-14)
- Email icon made not to open a new tab.
- Removed Twitter bar from default option.

Version 3.0.24 (1-14-14)
- Changed blog layout option text.
- Fixed upload button not working issue with child themes.

Version 3.0.23 (1-6-14)
- Modified Helvetica font-family.
- Removed translation of a variable.

Version 3.0.22 (12-23-13)
- Fixed drag and drop font icons on page options.
- Added metabox field type unfiltered_textarea.
- Changed underscrore to hyphen in class for portfolio lite element.

Version 3.0.21 (12-16-13)
- Email and google map icon issue fixed.
- Social icon issue in IE fixed.
- Added larger screenshot for WP3.8.
- Update tags for WP3.8.
- Updated license.

Version 3.0.20 (12-12-13)
- Fixed social icon links.
- Fixed metabox toggle option.

Version 3.0.19 (12-11-13)
- Added Font-Based Social Icons.
- Integrated Font Awesome (Bootstrap font).
- Added retina ready images and style for it.
- Changed the way of metabox css/js getting enqueued to support child theme.

Version 3.0.18 (12-04-13)
- Image size fix: Hooked add_image_size to after_setup_theme.
- Deleted unused images.
- Added TGM class to recommend responsive Add Ons.
- Removed Google Analytics option (requested by WordPress).
- Removed theme redirection (requested by WordPress).

Version 3.0.17 (11-15-13)
- Added new background image option.
- Js minification for elements.
- Translation update.

Version 3.0.16 (11-12-13)
- Remove skins in customizer
- Post slides removed
- Translation domain fix.
- Sanitization added to few metabox option types.
- Js minification in core.

Version 3.0.15 (11-7-13)
- Removed unused code

Version 3.0.14 (11-1-13)
- Added new metabox class.

Version 3.0.13 (10-30-13)
- Slider lite ID separator change from (-) to(_). Changed affected JS and CSS.
- Theme License update to GPL v3.0
- Updated Font licenses

Version 3.0.12 (10-18-13)
- Container width fix.
- Added class cc-responsive if responisve design is on.

Version 3.0.11 (10-11-13)
- Changed ID name separator to (_) from (-) for elements/boxes.php

Version 3.0.10 (10-4-13)
- Minified JS.
- Reformatted code( Replaced spaces with tabs ).

Version 3.0.9 (9-27-13)
- Upsell page: If the listed theme is installed then add a tick mark next to it.

Version 3.0.8 (9-20-13)
- Slider option from post is removed as it was not part of free themes.
- Fixed google font issue.

Version 3.0.7 (9-13-13)
- Updated README file.
- Fixed menu background in IE9 and IE8.

Version 3.0.6 (9-6-13)
- Minified multi media upload.
- Meta box fix - changed save_post hook to pre_post_update.
- Wrapped home_url() with esc_url()
- Removed function_exists() check before add_image_size() call.

Version 3.0.5 (8-30-13)
- Removed new meta-box options due to unresolved bug that affected some users.

Version 3.0.4 (8-23-13)
- Social icons reordering.
- Upsell page update: Updated screenshot and info of Neuro Pro.
- Fixed background option.
- Added new class for metabox options.

Version 3.0.3 (8-16-13)
- Fixed heading typography.
- Footer copyright - allow all html through.
- Added custom css option to customizer.

Version 3.0.2 (8-9-13)
- Removed duplicated customizer menu for WPv3.6.
- Fixed standard violation notices regarding Walker class for WPv3.6.
- Added functionality to allow HTML Footer Copyright Text option.
- Updated URLs to theme's help, guides, forum page etc.

Version 3.0.1 (8-2-13)
- Fixed site width issue.
- Half slider order tweak.

Version 3.0.0 (07/25/13)
Initial release

Neuro Changelog

****************************

Version 2.0.63 (7-19-13)
- Removed unused variable from header.php.

Version 2.0.62 (7-11-13)
- Removed unused global variable from archive.php.

Version 2.0.61 (7-4-13)
-Fixed issue "Long select field is overflowing the sidebar".

Version 2.0.60 (6-27-13)
-Removed unused global variables from page.php.

Version 2.0.59 (6-21-13)
-Removed unused global variables from single.php.

Version 2.0.58 (6-13-13)
-Updated microformats.

Version 2.0.57 (6-6-13)
-Removed unused global variables from search.php

Version 2.0.56 (5-30-13)
-Removed unused global variables from includes/options-functions.php

Version 2.0.55 (5-23-13)
Removed unused global variables from core/core-functions.php.

Version 2.0.54 (5-17-13)
-Stylesheet cleaned (core/classy-options/themes.css)

Version 2.0.53 (5-9-13)
-Removed unused global variables from options-themes.php

Version 2.0.52 (5-2-13)
-Replaced stripslashes with esc_url for the urls
-Sanitized social link urls with esc_url

Version 2.0.51 (4-26-13)
-Removed unused global variables from slider-actions.php file.

Version 2.0.50 (4-19-13)
-Removed unused global variables from sidebar-actions.php file.

Version 2.0.49 (4-12-13)
-Removed the unused global variables from the page-actions.php.

Version 2.0.48 (4-5-13)
-Removed the unused global variables from the comments-actions.php.

Version 2.0.47 (3-29-13)
-Removed the unused global variables from the archive-actions.php.

Version 2.0.46 (3-22-13)
-Stylesheet cleaned (shortcode.css)

Version 2.0.45 (3-15-13)
-Replaced the get_template_directory_uri() with the global variable defined with same value.

Version 2.0.44 (3-8-13)
-Removed the unused global variables from the footer_credit function.

Version 2.0.43 (3-1-13)
-Added hide/show effect for the banner options, earlier it was only for banner image.
-Replaced get_template_directory_uri() with '$directory_uri', the variable defined with the same value.

Version 2.0.42 (2-21-13)
-Widget class placeholder.
-Changed default Twitter account.
-Repositioned wp-footer.

Version 2.0.41 (2-14-13)
-Fixed notice - Undefined offset: 1.

Version 2.0.40 (2-6-13)
-Media uploader fix and filters.

Version 2.0.39 (1-25-13)
-Fix image upload

Version 2.0.38 (1-23-13)
-Printf call to _e.
-Meta class fix.

Version 2.0.37 (1-14-13)
-Sidebar fix.

Version 2.0.36 (1-6-13)
-Error page translation.

Version 2.0.36 (1-6-13)
-Error page translation.

Version 2.0.35 (12-29-12)
-URI variable.

Version 2.0.34 (12-22-12)
-SSL compatibility.

Version 2.0.33 (12-16-12)
-Streamlined calls for template directory.

Version 2.0.32 (12-6-12)
-3.5 fixes.

Version 2.0.31 (11-26-12)
-Pinch to zoom.

Version 2.0.30 (11-19-12)
-Feed title fix.

Version 2.0.29 (11-12-12)
-Footer-actions fix.

Version 2.0.28 (11-07-12)
-Password protection for elements.

Version 2.0.27 (10-31-12)
-Presstrends updated.
-Google font fix.

Version 2.0.26 (10-23-12)
-Comments form hidden when protected page / post.
-Social icon fix.

Version 2.0.25 (10-15-12)
-Quick edit fix.

Version 2.0.24 (10-08-12)
-Archives actions fix.

Version 2.0.23 (10-01-12)
-Printf call to echo variable.

Version 2.0.22 (09-25-12)
-Setup pie.php file.

Version 2.0.21 (09-18-12)
-Changed how translations are laid out.

Version 2.0.20 (09-10-12)
-Fixed language files.

Version 2.0.19 (09-04-12)
-Fixed responsive slider in ie and firefox.

Version 2.0.18 (08-27-12)
-Logo url on / off option added.

Version 2.0.17 (08-21-12)
-Custom logo url.

Version 2.0.16 (08-16-12)
-wp title fix.
-Made meta tag language dynamic.
-Chrome decimal sidebar fix.
-Fix variable in language call.
-Code theme check cleanup.

Version 2.0.15 (08-08-12)
-Favicon added (off by default).

Version 2.0.14 (07-31-12)
-Changed global variables to have theme prefix
-Changed any use of TEMPLATE_PATH
-Added option to hide apple icon, hidden by default
-Made favicon display only if it has been set

Version 2.0.13 (07-25-12)
- Apple-touch icon.
- Upgrade bar adjustments.

Version 2.0.12 (07-17-12)
- Upgrade bar.
- German translation fix.

Version 2.0.11 (07-09-12)
- Footer.php fix.

Version 2.0.10 (07-06-12)
- Twitter embed fix.
- Fixed nav gradient in IE8.
- Sticky footer + push div.

Version 2.0.9 (06-28-12)
- Sidebar blowout issue fixed.

Version 2.0.8 (06-22-12)
- Fixed the validation issue with read more link.

Version 2.0.7 (06-15-12)
-Replaced wp_theme_data() (deprecated) with wp_get_theme() in opt-in PressTrends function, backwards compatible with 3.3 and below.

Version 2.0.6 (06-08-12)
-Added Czech language files.
-Responsive fix for searchbar.
-Added missing $content_width global to theme setup function.

Version 2.0.5 (06-01-12)
-Added Hindi language files.
-Fix for broken Custom Header Element.
-Fixed some code in comments-actions.php.
-Fixed social icon positioning in Firefox.

Version 2.0.4 (05-24-12)
-Added Danish language files.
-Added Catalan language files.
-Added function to update RSS link in HTML 'head' with custom feed.

Version 2.0.3 (05-14-12)
-Added option for responsive embeded videos (Youtube/Vimeo).
-Added Polish language files.

Version 2.0.2 (05-08-12)
-Updated German, Hebrew, Dush and Portuguese language files.
-Added Spanish, Persian, French, Croatian, Italian,  Romanian, Rushian, Swedish and Turkish language files.
-Updated response.pot
-Fixed/added missing translation wrappers to post pagination function.

Version 2.0.1 (04-30-12)
-Added opt-in PressTrends code.
-Fixed filename of default slider image.
-Added Pinterest social icon.
-CSS fix for fallback menu.

Version 2.0 (04-18-12)
-Moved to CyberChimps Response Core Framework.
-Added post formats support.

Version 1.1.4 (9-8-11)
-Updated theme options page.
-Register sidebar now within a function that hooks into widgets_init.
-Stripping HTML from Google + URL input.
-Adjusted footer widget style.
-Fixed featured-thumb margins.
-Added link to Neuro theme options settings in the Admin bar.

Version 1.1.3 (7-15-11)
-Fixed logo blowout issue related to adding Google + icon.

Version 1.1.2 (7-13-11)
-Added Google + social icon.

Version 1.1.1 (7-6-11)
-Adjusted theme option CSS to eliminate WordPress 3.2 footer styling conflict.
-Security fix in comments.php removing $_SERVER variable statement.
-Cleaned up options.php, removed unnecessary functions.
-Now enqueueing WordPress jQuery library instead of Google's for offline functionality.

Version 1.1 (6-27-11)
-No changes, new version number required to push uncorrupted build on WordPress.org

Version 1.0.9 (6-22-11)
-jQuery noconflict patch to fix third-party plugin compatibility issues.
-Removed unnecessary function from options.php with unidentified variable.

Version 1.0.8 (6-11-11)
-Fixed font-weight property in posts.
-Featured images now link to corresponding post, fixed featured image alignment.

Version 1.0.7 (5-30-11)
-Added "Design" tab, moved color scheme/background selector and custom CSS under "Design".
-Default background/color scheme changed to wood/black.
-Changed social icons, removed broken IE alpha transparency fix.
-Added color chooser for footer color.

Version 1.0.6 (5-20-11)
-SEO options are now hidden by default.
-Floats for images cleared with 5px margin.
-Moved comment forum below threaded comments.

Version 1.0.5 (5-19-11)
-Removed unsupported header contact area option.
-Removed legacy custom field options for feature slider.

Version 1.0.4 (5-19-11)
-Fixed unidentified index errors related to background image choice in theme options.

Version 1.0.3 (5-19-11)
-Updated CSS function to remove hard-linked CSS file.

Version 1.0.2 (5-19-11)
-Removed alt and title to follow WordPress credit guidelines.

Version 1.0.1 (5-19-11)
-Bug fix

Version 1.0 (5-18-11)
-Initial release.
